Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLFileLogin

`java.lang.Object
oracle.toplink.sessions.DatasourceLogin
oracle.toplink.sdk.SDKLogin
oracle.toplink.xml.XMLLogin
oracle.toplink.xml.XMLFileLogin`

All Implemented Interfaces:
  java.lang.Cloneable, Login, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLFileLogin
extends XMLLogin

`XMLFileLogin` holds the information required to log in to a file-based XML data store, using an `XMLFileAccessor`.

Since:
  TOPLink/Java 3.0
See Also:
  `XMLFileAccessor`, `XMLPlatform`, Serialized Form

Field Summary

Fields inherited from class oracle.toplink.sessions.DatasourceLogin
`CONCURRENT_READ_WRITE, SYNCHRONIZED_READ_ON_WRITE, SYNCHRONIZED_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE, SYNCRONIZED_OBJECT_LEVEL_READ_WRITE_DATABASE, versionString`

Constructor Summary
`XMLFileLogin()` Deprecated. Default constructor.
`XMLFileLogin(java.lang.String baseDirectoryName)` Deprecated. Constructor.

Method Summary
`Accessor` | `buildAccessor()` Deprecated. Build and return an appropriate Accessor.
`void` | `createDirectoriesAsNeeded()` Deprecated. Set whether directories will be created as needed, if they do not exist already.
`boolean` | `createsDirectoriesAsNeeded()` Deprecated. Return whether directories will be created as needed, if they do not exist already.
`void` | `dontCreateDirectoriesAsNeeded()` Deprecated. Set whether directories will be created as needed, if they do not exist already.
`java.lang.String` | `getBaseDirectoryName()` Deprecated. Return the name of the base directory for the tree of XML subdirectories/files.
`java.lang.String` | `getFileNameExtension()` Deprecated. Return the extension to be used for the XML files.
`void` | `setBaseDirectoryName(java.lang.String baseDirectoryName)` Deprecated. Set the name of the base directory for the tree of XML subdirectories/files.
`void` | `setCreatesDirectoriesAsNeeded(boolean createsDirectoriesAsNeeded)` Deprecated. Set whether directories will be created as needed, if they do not exist already.
`void` | `setFileNameExtension(java.lang.String fileNameExtension)` Deprecated. Set the extension to be used for the XML files.

Methods inherited from class oracle.toplink.xml.XMLLogin
`getSequenceCounterElementName, getSequenceNameElementName, getSequenceRootElementName, getXMLPlatform, setAccessorClass, setSequenceCounterElementName, setSequenceNameElementName, setSequenceRootElementName`

Methods inherited from class oracle.toplink.sdk.SDKLogin
`getAccessorClass, invalidAccessClass, toString`

Methods inherited from class oracle.toplink.sessions.DatasourceLogin
`addSequence, dontUseExternalConnectionPooling, dontUseExternalTransactionController, getCacheTransactionIsolation, getConnector, getDatasourcePlatform, getDefaultSequence, getPassword, getProperty, getSequence, getSequencePreallocationSize, getSequences, getTableQualifier, getUserName, getVersion, removeAllSequences, removeProperty, removeSequence, setCacheTransactionIsolation, setConnector, setDatasourcePlatform, setDefaultNullValue, setDefaultSequence, setEncryptedPassword, setEncryptionClassName, setPassword, setProperties, setProperty, setSelectSequenceNumberQuery, setSequencePreallocationSize, setTableQualifier, setTimestampQuery, setUpdateSequenceQuery, setUserName, setUsesExternalConnectionPooling, setUsesExternalTransactionController, shouldUseExternalConnectionPooling, shouldUseExternalTransactionController, useExternalConnectionPooling, useExternalTransactionController, usePlatform`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLFileLogin

    public XMLFileLogin()

  Deprecated.
  Default constructor.

### XMLFileLogin

    public XMLFileLogin(java.lang.String baseDirectoryName)

  Deprecated.
  Constructor. Specify the name of the directory holding all the subdirectories with the XML documents.

Method Detail

### buildAccessor

    public Accessor buildAccessor()

  Deprecated.
  Build and return an appropriate Accessor.
  Specified by:
    `buildAccessor` in interface `Login`
  Overrides:
    `buildAccessor` in class `SDKLogin`

### createDirectoriesAsNeeded

    public void createDirectoriesAsNeeded()

  Deprecated.
  Set whether directories will be created as needed, if they do not exist already.

### createsDirectoriesAsNeeded

    public boolean createsDirectoriesAsNeeded()

  Deprecated.
  Return whether directories will be created as needed, if they do not exist already.

### dontCreateDirectoriesAsNeeded

    public void dontCreateDirectoriesAsNeeded()

  Deprecated.
  Set whether directories will be created as needed, if they do not exist already.

### getBaseDirectoryName

    public java.lang.String getBaseDirectoryName()

  Deprecated.
  Return the name of the base directory for the tree of XML subdirectories/files.

### getFileNameExtension

    public java.lang.String getFileNameExtension()

  Deprecated.
  Return the extension to be used for the XML files.

### setBaseDirectoryName

    public void setBaseDirectoryName(java.lang.String baseDirectoryName)

  Deprecated.
  Set the name of the base directory for the tree of XML subdirectories/files.

### setCreatesDirectoriesAsNeeded

    public void setCreatesDirectoriesAsNeeded(boolean createsDirectoriesAsNeeded)

  Deprecated.
  Set whether directories will be created as needed, if they do not exist already.

### setFileNameExtension

    public void setFileNameExtension(java.lang.String fileNameExtension)

  Deprecated.
  Set the extension to be used for the XML files.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD